Download LightSenz application

To install LightSenz application you to have .NET 3.5 installed on your PC. If you do not have it of the application does not start please download it and install it.

Download LightSenz

comments powered by Disqus